import request from '/@/utils/request';

export function hiddenReportApi() {
    return {
        // v1
        getHiddenReportList: (data: object) => {
            return request({
                url: `/prevent/dangerManage/select/getDangerManagePage`,
                method: 'post',
                data: data
            });
        },
        // v1
        addHiddenReport: (data: object) => {
            return request({
                url: `/prevent/dangerManage/insert/saveDangerManage`,
                method: 'post',
                data: data
            });
        },
        // v1
        modHiddenReport: (data: object) => {
            return request({
                url: `/prevent/dangerManage/update/updateDangerManage`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteHiddenReport: (data: object) => {
            return request({
                url: `/prevent/dangerManage/delete/deleteDangerManage`,
                method: 'post',
                data: data
            });
        }
    };
}
